
Foreman - Bug #11425

add a real primary key to host and hostgroup for lookup_values has_many

08/19/2015 07:13 AM - Tom Caspy

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: DB migrations   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2618

  

Description

Related issues:

Related to Foreman - Bug #11570: Smart class parameter overrides not removed ... Closed 08/26/2015

Related to Foreman - Bug #11571: lookup_value_matcher not populated on hosts ... Closed 08/26/2015

Related to Foreman - Bug #11610: db migration extremly slow Closed 08/28/2015

Related to Foreman - Bug #11885: Viewing host group clone form deletes smart ... Closed 09/18/2015

Related to Foreman - Bug #12669: undefined method `lookup_value_matcher=' for... Closed 12/02/2015

Associated revisions

Revision 9dd00534 - 08/26/2015 06:25 AM - Tom Caspy

fixes #11425 - adding lookup_value_matcher to host and hostgroup to make db schema more logical

History

#1 - 08/19/2015 07:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2618 added

- Pull request deleted ()

#2 - 08/26/2015 06:26 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 08/26/2015 07:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9dd005342b8424bdf5453b9b0e0a27989b7f3079.

#4 - 08/26/2015 07:47 AM - Dominic Cleal

- Related to Bug #11570: Smart class parameter overrides not removed on host deletion added

#5 - 08/26/2015 07:54 AM - Dominic Cleal

- Related to Bug #11571: lookup_value_matcher not populated on hosts table in DB migration added

#6 - 08/28/2015 04:04 PM - Ohad Levy

- Related to Bug #11610: db migration extremly slow added

#7 - 09/23/2015 07:52 AM - Dominic Cleal
- Related to Bug #11885: Viewing host group clone form deletes smart class parameter overrides added

#8 - 12/02/2015 10:52 AM - Dominic Cleal

- Related to Bug #12669: undefined method `lookup_value_matcher=' for hostgroup added
